Updates an existing shift. Only include the fields you want to change.
cURL
curl --request PATCH \ --url https://api.roostedhr.com/api/1_12/events/{id}/shifts/{shift_id} \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "custom_name": "<string>", "start_time": "2021-01-01 18:00:00", "end_time": "2021-01-01 20:00:00", "skillset_id": 123, "quantity": "<string>", "alternate_quantity": "<string>", "comments": "<string>" } '
200
Example
{ "id": "<string>", "event_id": "<string>", "custom_name": "<string>", "start_time": "<string>", "end_time": "<string>", "skillsets": [ { "id": 123, "name": "<string>" } ], "quantity": 123, "filled": 123, "alternate_quantity": 123, "alternate_filled": 123, "comments": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.roostedhr.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
Use this file to discover all available pages before exploring further.
Event ID
Shift ID
"2021-01-01 18:00:00"
"2021-01-01 20:00:00"
Skillset ID for this shift.
1 - 255
255
65535
OK
Show child attributes